Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.data
Class ResultReader

    java.lang.Object
      org.basex.data.ResultReader

All Implemented Interfaces:
  org.xml.sax.XMLReader

    public final class ResultReader

extends java.lang.Object
implements org.xml.sax.XMLReader

This class allows to output XML results via SAX.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Constructor Summary
`ResultReader(Result res)` Constructor.

Method Summary
`void` | `endElement(java.lang.String t)` Sends an endElement event to the content handler.
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.DTDHandler` | `getDTDHandler()`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `parse(org.xml.sax.InputSource input)`
`void` | `parse(java.lang.String id)`
`void` | `pi(byte[] n, byte[] v)` Sends a processingInstruction event to the content handler.
`void` | `setContentHandler(org.xml.sax.ContentHandler h)`
`void` | `setDTDHandler(org.xml.sax.DTDHandler h)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver resolver)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler h)`
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `startElement(java.lang.String t)` Sends a startElement event to the content handler.
`void` | `startElement(java.lang.String t, TokenList a)` Sends a startElement event to the content handler.
`void` | `text(byte[] b)` Sends a characters event to the content handler.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultReader

    public ResultReader(Result res)

  Constructor.

  Parameters:
    `res` - query result

Method Detail

### endElement

    public void endElement(java.lang.String t)
                    throws org.xml.sax.SAXException

  Sends an endElement event to the content handler.

  Parameters:
    `t` - tag
  Throws:
    `org.xml.sax.SAXException` - SAX exception

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `org.xml.sax.XMLReader`

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Specified by:
    `getDTDHandler` in interface `org.xml.sax.XMLReader`

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `org.xml.sax.XMLReader`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `org.xml.sax.XMLReader`

### getFeature

    public boolean getFeature(java.lang.String name)

  Specified by:
    `getFeature` in interface `org.xml.sax.XMLReader`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `org.xml.sax.XMLReader`

### parse

    public void parse(org.xml.sax.InputSource input)
               throws org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXException`

### parse

    public void parse(java.lang.String id)
               throws org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXException`

### pi

    public void pi(byte[] n,
                   byte[] v)
            throws org.xml.sax.SAXException

  Sends a processingInstruction event to the content handler.

  Parameters:
    `n` - name
    `v` - value
  Throws:
    `org.xml.sax.SAXException` - SAX exception

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler h)

  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler h)

  Specified by:
    `setDTDHandler` in interface `org.xml.sax.XMLReader`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

  Specified by:
    `setEntityResolver` in interface `org.xml.sax.XMLReader`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler h)

  Specified by:
    `setErrorHandler` in interface `org.xml.sax.XMLReader`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)

  Specified by:
    `setFeature` in interface `org.xml.sax.XMLReader`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotSupportedException

  Specified by:
    `setProperty` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotSupportedException`

### startElement

    public void startElement(java.lang.String t)
                      throws org.xml.sax.SAXException

  Sends a startElement event to the content handler.

  Parameters:
    `t` - tag
  Throws:
    `org.xml.sax.SAXException` - SAX exception

### startElement

    public void startElement(java.lang.String t,
                             TokenList a)
                      throws org.xml.sax.SAXException

  Sends a startElement event to the content handler.

  Parameters:
    `t` - tag
    `a` - attributes
  Throws:
    `org.xml.sax.SAXException` - SAX exception

### text

    public void text(byte[] b)
              throws org.xml.sax.SAXException

  Sends a characters event to the content handler.

  Parameters:
    `b` - text bytes
  Throws:
    `org.xml.sax.SAXException` - SAX exception

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD